Bug 487185 - system search, packages needed not working
system search, packages needed not working
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Other (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: John Matthews
wes hayutin
http://grandprix.rhndev.redhat.com/rh...
:
Depends On:
Blocks: 457073
  Show dependency treegraph
 
Reported: 2009-02-24 12:45 EST by wes hayutin
Modified: 2009-09-10 15:32 EDT (History)
3 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:32:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wes hayutin 2009-02-24 12:45:34 EST
Description of problem:

register a system
search , "needed packages" ie.. zsh or another package that is not installed
click search..

should return any system that does not have zsh installed..
Comment 1 John Matthews 2009-02-24 13:23:39 EST
I may have misunderstood the intended functionality.

I thought "needed packages" meant it would search for a package which was installed *and* and a newer version of that package was available.

So, for this I was thinking the testcase would be something like
1) register a system
2) identify a package where you have an old/new package in the channel
3) install old package
4) allow index to be updated
5) search for needed package on that old package
Comment 2 wes hayutin 2009-02-24 14:13:36 EST
[root@fjs-0-19 ~]# up2date bash

Fetching Obsoletes list for channel: rhel-i386-as-4...

Fetching rpm headers...
########################################

Name                                    Version        Rel     
----------------------------------------------------------


The following packages you requested are already updated:
bash
[root@fjs-0-19 ~]# up2date -p
Updating package profile...
Updating transaction history...


 	  wes__A00A001   	 bash-3.0.19.6.i386  	 Management, Provisioning
	wes__A00B002 	bash-3.0.19.7.el4_7.1.i386 	Management, Provisioning 

The profile wes_A00B002 has had bash upgraded and is no longer "needed" and should not be listed.


The "needed packages" should be the sum of all packages listed in sdc -> software -> packages -> upgrade
Comment 4 John Matthews 2009-04-15 16:07:53 EDT
Main problem was related to the query: systems_with_needed_package in System_queries.  

It's fixed in this commit (VADER branch): 
http://git.fedorahosted.org/git/?p=spacewalk.git;a=commit;h=8ae88c8cea2d5be7bed5e54f5c94ed96396027fa
Comment 5 wes hayutin 2009-05-21 11:33:20 EDT
search not working in this build 5/20
Comment 6 wes hayutin 2009-05-21 11:41:34 EDT
actually this is working 5/20
Comment 7 Jan Pazdziora 2009-09-04 08:34:17 EDT
Stage validated with Satellite-5.3.0-RHEL5-re20090820.1.

RHEL 5 client system, registered to the Satellite. Manually installed

[root@vmware139 /]# rpm -Uvh mutt-1.4.2.2-3.el5.i386.rpm 
Preparing...                ########################################### [100%]
   1:mutt                   ########################################### [100%]
[root@vmware139 /]# rhn-profile-sync 
Updating package profile...
Updating hardware profile...
[root@vmware139 /]# 

while there is also mutt-1.4.2.2-3.0.2.el5:5.i386 in the channel.

Did search for

/rhn/systems/Search.do?search_string=mutt&whereToSearch=all&view_mode=systemsearch_needed_packages

and this system of mine was found.

Moving to RELEASE_PENDING.
Comment 8 Brandon Perkins 2009-09-10 15:32:06 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.